package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 企业安全生产 - 企业原料信息
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_emersps_sps_enterprise_material_info")
public class OTEmerspsSpsEnterpriseMaterialInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    private String enterpriseMaterialInfoId;

    private String enterpriseId;

    private String enterpriseName;

    private String materiaName;

    private String materiaAlias;

    private String casNo;

    private String storageMode;

    private String maximumReserves;

    private String realTimeReserves;

    private String dangerType;

    private String type;

    private String source;

    private String place;

    private String storageConditions;

    private String mainRisks;

    private String supplierInformation;

    private String remark;

    private String dataSourceId;

    private String dataVersion;

    private String searchTitle;

    private String reservesUnit;

    private Date qualityGuaranteePeriod;

    private Date gmtCreated;

    private Date gmtModified;

    @TableField("odm_rksj")
    private Date odmRksj;

    public String getEnterpriseMaterialInfoId() {
        return enterpriseMaterialInfoId;
    }

    public void setEnterpriseMaterialInfoId(String enterpriseMaterialInfoId) {
        this.enterpriseMaterialInfoId = enterpriseMaterialInfoId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getMateriaName() {
        return materiaName;
    }

    public void setMateriaName(String materiaName) {
        this.materiaName = materiaName;
    }

    public String getMateriaAlias() {
        return materiaAlias;
    }

    public void setMateriaAlias(String materiaAlias) {
        this.materiaAlias = materiaAlias;
    }

    public String getCasNo() {
        return casNo;
    }

    public void setCasNo(String casNo) {
        this.casNo = casNo;
    }

    public String getStorageMode() {
        return storageMode;
    }

    public void setStorageMode(String storageMode) {
        this.storageMode = storageMode;
    }

    public String getMaximumReserves() {
        return maximumReserves;
    }

    public void setMaximumReserves(String maximumReserves) {
        this.maximumReserves = maximumReserves;
    }

    public String getRealTimeReserves() {
        return realTimeReserves;
    }

    public void setRealTimeReserves(String realTimeReserves) {
        this.realTimeReserves = realTimeReserves;
    }

    public String getDangerType() {
        return dangerType;
    }

    public void setDangerType(String dangerType) {
        this.dangerType = dangerType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getStorageConditions() {
        return storageConditions;
    }

    public void setStorageConditions(String storageConditions) {
        this.storageConditions = storageConditions;
    }

    public String getMainRisks() {
        return mainRisks;
    }

    public void setMainRisks(String mainRisks) {
        this.mainRisks = mainRisks;
    }

    public String getSupplierInformation() {
        return supplierInformation;
    }

    public void setSupplierInformation(String supplierInformation) {
        this.supplierInformation = supplierInformation;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public String getReservesUnit() {
        return reservesUnit;
    }

    public void setReservesUnit(String reservesUnit) {
        this.reservesUnit = reservesUnit;
    }

    public Date getQualityGuaranteePeriod() {
        return qualityGuaranteePeriod;
    }

    public void setQualityGuaranteePeriod(Date qualityGuaranteePeriod) {
        this.qualityGuaranteePeriod = qualityGuaranteePeriod;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }
}
