package com.eazytec.hkydatabasessynchronization.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 企业安全生产 - 企业风险辨识
 *
 * @author lx
 * @since 2024-10-12 17:33
 */
@TableName("o_t_emersps_sps_enterprise_risk_identification")
public class OTEmerspsSpsEnterpriseRiskIdentification implements Serializable {

    private static final long serialVersionUID = 1L;

    private String enterpriseRiskIdentificationId;

    private String enterpriseId;

    private String enterpriseName;

    private String dept;

    private String riskPointsName;

    private String accidentType;

    private String riskLevel;

    private String scenePhoto;

    private String status;

    private String riskPointsType;

    private String inspectionPoint;

    private String riskType;

    private String majorHazard;

    private String position;

    private String accidentProneType;

    private String mainHazards;

    private String controlMeasures;

    private String controlLevel;

    private String safePromiseCard;

    private String warningSigns;

    private String bindRfid;

    private String rfidCardBatchCode;

    private String bindQrCode;

    private String planCoordinates;

    private String dataSourceId;

    private String dataVersion;

    private String searchTitle;

    private Date recentAssessmentDate;

    private Date nextAssessmentDate;

    private Date gmtCreated;

    private Date gmtModified;

    @TableField("odm_rksj")
    private Date odmRksj;

    public String getEnterpriseRiskIdentificationId() {
        return enterpriseRiskIdentificationId;
    }

    public void setEnterpriseRiskIdentificationId(String enterpriseRiskIdentificationId) {
        this.enterpriseRiskIdentificationId = enterpriseRiskIdentificationId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getRiskPointsName() {
        return riskPointsName;
    }

    public void setRiskPointsName(String riskPointsName) {
        this.riskPointsName = riskPointsName;
    }

    public String getAccidentType() {
        return accidentType;
    }

    public void setAccidentType(String accidentType) {
        this.accidentType = accidentType;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getScenePhoto() {
        return scenePhoto;
    }

    public void setScenePhoto(String scenePhoto) {
        this.scenePhoto = scenePhoto;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRiskPointsType() {
        return riskPointsType;
    }

    public void setRiskPointsType(String riskPointsType) {
        this.riskPointsType = riskPointsType;
    }

    public String getInspectionPoint() {
        return inspectionPoint;
    }

    public void setInspectionPoint(String inspectionPoint) {
        this.inspectionPoint = inspectionPoint;
    }

    public String getRiskType() {
        return riskType;
    }

    public void setRiskType(String riskType) {
        this.riskType = riskType;
    }

    public String getMajorHazard() {
        return majorHazard;
    }

    public void setMajorHazard(String majorHazard) {
        this.majorHazard = majorHazard;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getAccidentProneType() {
        return accidentProneType;
    }

    public void setAccidentProneType(String accidentProneType) {
        this.accidentProneType = accidentProneType;
    }

    public String getMainHazards() {
        return mainHazards;
    }

    public void setMainHazards(String mainHazards) {
        this.mainHazards = mainHazards;
    }

    public String getControlMeasures() {
        return controlMeasures;
    }

    public void setControlMeasures(String controlMeasures) {
        this.controlMeasures = controlMeasures;
    }

    public String getControlLevel() {
        return controlLevel;
    }

    public void setControlLevel(String controlLevel) {
        this.controlLevel = controlLevel;
    }

    public String getSafePromiseCard() {
        return safePromiseCard;
    }

    public void setSafePromiseCard(String safePromiseCard) {
        this.safePromiseCard = safePromiseCard;
    }

    public String getWarningSigns() {
        return warningSigns;
    }

    public void setWarningSigns(String warningSigns) {
        this.warningSigns = warningSigns;
    }

    public String getBindRfid() {
        return bindRfid;
    }

    public void setBindRfid(String bindRfid) {
        this.bindRfid = bindRfid;
    }

    public String getRfidCardBatchCode() {
        return rfidCardBatchCode;
    }

    public void setRfidCardBatchCode(String rfidCardBatchCode) {
        this.rfidCardBatchCode = rfidCardBatchCode;
    }

    public String getBindQrCode() {
        return bindQrCode;
    }

    public void setBindQrCode(String bindQrCode) {
        this.bindQrCode = bindQrCode;
    }

    public String getPlanCoordinates() {
        return planCoordinates;
    }

    public void setPlanCoordinates(String planCoordinates) {
        this.planCoordinates = planCoordinates;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getDataVersion() {
        return dataVersion;
    }

    public void setDataVersion(String dataVersion) {
        this.dataVersion = dataVersion;
    }

    public String getSearchTitle() {
        return searchTitle;
    }

    public void setSearchTitle(String searchTitle) {
        this.searchTitle = searchTitle;
    }

    public Date getRecentAssessmentDate() {
        return recentAssessmentDate;
    }

    public void setRecentAssessmentDate(Date recentAssessmentDate) {
        this.recentAssessmentDate = recentAssessmentDate;
    }

    public Date getNextAssessmentDate() {
        return nextAssessmentDate;
    }

    public void setNextAssessmentDate(Date nextAssessmentDate) {
        this.nextAssessmentDate = nextAssessmentDate;
    }

    public Date getGmtCreated() {
        return gmtCreated;
    }

    public void setGmtCreated(Date gmtCreated) {
        this.gmtCreated = gmtCreated;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Date getOdmRksj() {
        return odmRksj;
    }

    public void setOdmRksj(Date odmRksj) {
        this.odmRksj = odmRksj;
    }
}
